Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.projections.cylindric
Class Mercator

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.projections.Projection
              org.deegree.crs.projections.cylindric.CylindricalProjection
                  org.deegree.crs.projections.cylindric.Mercator

All Implemented Interfaces:
  Serializable

    public class Mercator

extends CylindricalProjection

The `Mercator` projection has following properties:

- Cylindircal
- Conformal
- Meridians are equally spaced straight lines
- Parallels are unequally spaced straight lines closest near the equator, cutting meridians at right angles.
- Scale is true along the Equator, or along two parallels equidistant from the Equator
- Loxodromes (rhumb lines) are straight lines
- Not perspective
- Poles are at infinity; great distortion or area in polar regions
- Used for navigation
- Presented by Mercator in 1569

Version:
  $Revision: 19653 $, $Date: 2009-09-15 14:56:30 +0200 (Di, 15. Sep 2009) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $
See Also:
  Serialized Form

Constructor Summary
`Mercator(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale)` Sets the id to EPSG:9804
`Mercator(GeographicCRS geographicCRS, double falseNorthing, double falseEasting, javax.vecmath.Point2d naturalOrigin, Unit units, double scale, Identifiable id)`

Method Summary
`javax.vecmath.Point2d` | `doInverseProjection(double x, double y)` Do an inverse projection from projected (map) coordinates to geographic coordinates.
`javax.vecmath.Point2d` | `doProjection(double lambda, double phi)` The actual transform method doing a projection from geographic coordinates to map coordinates.
`String` | `getImplementationName()`

Methods inherited from class org.deegree.crs.projections.Projection
`equals, getCosphi0, getDatum, getEccentricity, getEllipsoid, getFalseEasting, getFalseNorthing, getGeographicCRS, getNaturalOrigin, getPrimeMeridian, getProjectionLatitude, getProjectionLongitude, getScale, getScaleFactor, getSemiMajorAxis, getSemiMinorAxis, getSinphi0, getSquaredEccentricity, getUnits, hashCode, isConformal, isEqualArea, isSpherical, setFalseEasting, setScale, toString`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Mercator

    public Mercator(GeographicCRS geographicCRS,
                    double falseNorthing,
                    double falseEasting,
                    javax.vecmath.Point2d naturalOrigin,
                    Unit units,
                    double scale,
                    Identifiable id)

Parameters:
  `geographicCRS` -
  `falseNorthing` -
  `falseEasting` -
  `naturalOrigin` -
  `units` -
  `scale` -
  `id` - an identifiable instance containing information about this projection

### Mercator

    public Mercator(GeographicCRS geographicCRS,
                    double falseNorthing,
                    double falseEasting,
                    javax.vecmath.Point2d naturalOrigin,
                    Unit units,
                    double scale)

  Sets the id to EPSG:9804

  Parameters:
    `geographicCRS` -
    `falseNorthing` -
    `falseEasting` -
    `naturalOrigin` -
    `units` -
    `scale` -

Method Detail

### doInverseProjection

    public javax.vecmath.Point2d doInverseProjection(double x,
                                                     double y)
                                              throws ProjectionException

  Description copied from class: `Projection`
  Do an inverse projection from projected (map) coordinates to geographic coordinates.

  Specified by:
    `doInverseProjection` in class `Projection`
  Parameters:
    `x` - coordinate on the map
    `y` - coordinate on the map
  Returns:
    the projected Point with x = lambda and y = phi;
  Throws:
    `ProjectionException` - if the given x and y coordinates could not be inverted to lambda and phi.

### doProjection

    public javax.vecmath.Point2d doProjection(double lambda,
                                              double phi)
                                       throws ProjectionException

  Description copied from class: `Projection`
  The actual transform method doing a projection from geographic coordinates to map coordinates.

  Specified by:
    `doProjection` in class `Projection`
  Parameters:
    `lambda` - the longitude
    `phi` - the latitude
  Returns:
    the projected Point or Point(Double.NAN, Double.NAN) if an error occurred.
  Throws:
    `ProjectionException` - if the given lamba and phi coordinates could not be projected to x and y.

### getImplementationName

    public String getImplementationName()

  Specified by:
    `getImplementationName` in class `Projection`
  Returns:
    A deegree specific name which will be used for the export of a projection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org